%define subrel 1

Name:          libbluedevil
Summary:       Qt-based library written in C++ to handle all Bluetooth functionality
Group:         Graphical desktop/KDE
Version:       2.1
Release:       %mkrel 1
License:       LGPLv2+
URL:           https://projects.kde.org/projects/playground/libs/libbluedevil
Source0:       http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

#branch patches (100-199)
Patch100:      libbluedevil-2.1-Adapter-Add-back-alias-and-setAlias-for-binary-compa.patch
Patch101:      libbluedevil-2.1-Delete-adapter-only-after-all-devices-from-the-adapt.patch
Patch102:      libbluedevil-2.1-Only-delete-adapter-when-removed-from-m_adapters-has.patch

BuildRequires: cmake
BuildRequires: kde4-macros
BuildRequires: qt4-devel


%description 
Qt-based library written in C++ to handle all Bluetooth functionality

#------------------------------------------------

%define bluedevil_major 2
%define libbluedevil %mklibname bluedevil %bluedevil_major

%package -n %libbluedevil
Summary: Bluedevil Runtime library
Group: System/Libraries
Requires: bluez >= 5

%description -n %libbluedevil
Qt-based library written in C++ to handle all Bluetooth functionality

%files -n %libbluedevil
%_kde_libdir/libbluedevil.so.%{bluedevil_major}*

#------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libbluedevil = %version-%release

%description  devel
This package contains header files needed if you wish to build applications
based on %{name} .

%files devel
%_kde_includedir/bluedevil
%_kde_libdir/libbluedevil.so
%_kde_libdir/pkgconfig/bluedevil.pc

#-----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Mon Jun 22 2015 lmenut <lmenut> 2.1-1.1.mga5
+ Revision: 838714
- add upstream patches from branch
  fix delete adapter to prevent crash when resume from suspend (bko#346329)

* Wed Dec 24 2014 lmenut <lmenut> 2.1-1.mga5
+ Revision: 805273
- Update to 2.1

* Sat Dec 06 2014 lmenut <lmenut> 2.0-1.mga5
+ Revision: 801753
- Update to 2.0 final

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.git20140107.4.mga5
+ Revision: 741220
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.git20140107.3.mga5
+ Revision: 681346
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 lmenut <lmenut> 2.0-0.git20140107.2.mga5
+ Revision: 595195
- update git snapshot

* Mon Dec 16 2013 lmenut <lmenut> 2.0-0.git20131113.1.mga4
+ Revision: 557937
- update bluez5 branch snapshot

* Tue Oct 22 2013 umeabot <umeabot> 2.0-0.git20130323.2.mga4
+ Revision: 545340
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 lmenut <lmenut> 2.0-0.git20130323.1.mga4
+ Revision: 501182
- use bluez5 branch snapshot

* Fri Sep 06 2013 fwang <fwang> 1.9.4-1.mga4
+ Revision: 475364
- fix tarball dir
- new version 1.9.4

* Thu Jun 13 2013 fwang <fwang> 1.9.3-1.mga4
+ Revision: 442296
- new version 1.9.3

* Sat Jan 12 2013 umeabot <umeabot> 1.9.2-2.mga3
+ Revision: 356852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 11 2012 fwang <fwang> 1.9.2-1.mga3
+ Revision: 259637
- new version 1.9.2

* Mon Oct 10 2011 mikala <mikala> 1.9.1-1.mga2
+ Revision: 153605
- Remove %%clean section
- Update tarball to 1.9.1
- remove %%defattr()

* Tue May 03 2011 mikala <mikala> 1.9-0.mga1
+ Revision: 94333
- Update tarball to 1.9
- use of %%version & do not hardcode version in URL & %%setup

* Mon Feb 21 2011 mikala <mikala> 1.8.1-1.mga1
+ Revision: 55302
- Remove BuildRoot
- Update summary for libbluedevil
- imported package libbluedevil


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.8.1-1mdv2011.0
+ Revision: 606721
- update url
- new version 1.8-1

* Mon Sep 13 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.8-1mdv2011.0
+ Revision: 578067
- new version; remove patch0 (upstream)

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use my git patch sent upstream

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-2mdv2011.0
+ Revision: 566502
- Fix requires

* Thu Aug 05 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-1mdv2011.0
+ Revision: 566489
- Fix install of pkgconfig (P0)
- import libbluedevil


